cURL
curl --request PUT \
--url https://api.apps.paloaltonetworks.com/ai_gw/v2/api-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"rate_limits": [
{
"value": 1
}
],
"usage_limits": {
"credit_limit": 2,
"alert_threshold": 2,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z"
},
"reset_usage": true,
"scopes": [
"<string>"
],
"defaults": {
"metadata": {},
"config_id": "<string>",
"allow_config_override": true
},
"alert_emails": [
"jsmith@example.com"
],
"expires_at": "2023-11-07T05:31:56Z",
"rotation_policy": {
"next_rotation_at": "2023-11-07T05:31:56Z",
"key_transition_period_ms": 1800001
}
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/v2/api-keys/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"rate_limits": [{ "value": 1 }],
"usage_limits": {
"credit_limit": 2,
"alert_threshold": 2,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z"
},
"reset_usage": True,
"scopes": ["<string>"],
"defaults": {
"metadata": {},
"config_id": "<string>",
"allow_config_override": True
},
"alert_emails": ["jsmith@example.com"],
"expires_at": "2023-11-07T05:31:56Z",
"rotation_policy": {
"next_rotation_at": "2023-11-07T05:31:56Z",
"key_transition_period_ms": 1800001
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
rate_limits: [{value: 1}],
usage_limits: {
credit_limit: 2,
alert_threshold: 2,
periodic_reset_days: 183,
next_usage_reset_at: '2023-11-07T05:31:56Z'
},
reset_usage: true,
scopes: ['<string>'],
defaults: {metadata: {}, config_id: '<string>', allow_config_override: true},
alert_emails: ['jsmith@example.com'],
expires_at: '2023-11-07T05:31:56Z',
rotation_policy: {next_rotation_at: '2023-11-07T05:31:56Z', key_transition_period_ms: 1800001}
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/v2/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Put api keys by id
PUT
/
api-keys
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
The response is of type object.
Last modified on September 18, 2026
Was this page helpful?

